org.apache.nutch.segment

## Class SegmentReader.TextOutputFormat

- java.lang.Object
- - org.apache.hadoop.mapreduce.OutputFormat<K,V>
  - - org.apache.hadoop.mapreduce.lib.output.FileOutputFormat<WritableComparable<?>,Writable>
    - - org.apache.nutch.segment.SegmentReader.TextOutputFormat

- Enclosing class:
    SegmentReader

      public static class SegmentReader.TextOutputFormat
      extends FileOutputFormat<WritableComparable<?>,Writable>

  Implements a text output format

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `FileOutputFormat.Counter`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `BASE_OUTPUT_NAME, COMPRESS, COMPRESS_CODEC, COMPRESS_TYPE, OUTDIR, PART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextOutputFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RecordWriter<WritableComparable<?>,Writable>` | `getRecordWriter(TaskAttemptContext context)`

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.output.FileOutputFormat

      `checkOutputSpecs, getCompressOutput, getDefaultWorkFile, getOutputCommitter, getOutputCompressorClass, getOutputName, getOutputPath, getPathForWorkFile, getUniqueFile, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputName, setOutputPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextOutputFormat

          public TextOutputFormat()

  - ### Method Detail

    - #### getRecordWriter

          public RecordWriter<WritableComparable<?>,Writable> getRecordWriter(TaskAttemptContext context)
                                                                       throws IOException,
                                                                              InterruptedException

      Specified by:
        `getRecordWriter` in class `FileOutputFormat<WritableComparable<?>,Writable>`
      Throws:
        `IOException`
        `InterruptedException`

Copyright © 2021 The Apache Software Foundation